body {
  background-color: #181825;

  color: #dce0e8;
  font-family: Caskaydia;
}

@font-face {
    font-family: "Caskaydia";
    src: url("fonts/CaskaydiaCoveNerdFont-Regular.ttf");
}

@font-face {
    font-family: "BigBlue";
    src: url("fonts/BigBlueTerm437NerdFont-Regular.ttf");
}

.background {
  /*background-image: url("assets/hakase-anime.gif");*/
  background-position: center;
  background-size: cover;
  overflow: hidden;
}
.title{
  margin: 20px;
}
.list-one {
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  display: block;
  background-color: #ca9ee6;   
  padding: 0px;
  margin: 0 auto;
  text-align: center;
  font-size:100%;
  width: 100%;
  list-style: none;
  max-width: 1600px;
}

.list-two ul{
  white-space: nowrap;
}

.list-two ul, li{
  list-style: none;
  width: 100%;
}

.footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%; /* Ensure the footer spans the full width of the page */
  text-align: center; /* Center content inside the footer */
}

.footer ul {
  margin: 0;
  padding: 0;
  display: inline-block; /* Use inline-block to center align the list */
}

.footer li {
  display: inline;
  list-style: none;
}

hr {
  margin: 0px;
  height: 2px;
  background: transparent;
}

p {
  margin: 50px;
}

.gradient-wrapper {
  position: relative;
  display: inline-block;
  text-align: center;
}

.line-gradient-wrapper {
  position: relative;
  display: inline-block;
}

.gradient-text {
  font-weight: bold;
  background: linear-gradient(to right, #cba6f7, #f38ba8, #eba0ac, #fab387, #f9e2af, #a6e3a1, #94e2d5, #89dceb, #74c7ec, #89b4fa, #b4befe);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.gradient-line {
      border: none;
      background: linear-gradient(to right, #cba6f7, #f38ba8, #eba0ac, #fab387, #f9e2af, #a6e3a1, #94e2d5, #89dceb, #74c7ec, #89b4fa, #b4befe);
}

.layout {
      padding-top: 20px;    /* or any value */
    display: grid;
    grid-template-columns: 200px 1fr 200px;
    gap: 20px;
    max-width: 1600px;
    margin: 0 auto;
}
.sidebar {
    background: #ca9ee6;
    padding: 15px;
    border-radius: 8px;

}
.content .post-box {
    background: #ca9ee6;
    padding: 25px;
    border-radius: 12px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
}
@media (max-width: 900px) {
    .layout {
        grid-template-columns: 1fr; /* one column */
    }
    .sidebar {
        order: 2; /* push below main content */
    }
}
.layout-container {
    max-width: 1600px;   /* or whatever width you're using */
    margin: 0 auto;      /* centers everything */
}

.post{

  background:#ca9ee6;
  padding:20px;
  margin-bottom:20px;
  border-radius:10px;
  box-shadow:0 2px 6px rgba(0,0,0,.06)}
  h2{margin-top:0}
}

a{
  color:#ffffff;
}